# $Revision: 1.16 $, $Date: 2003/08/26 23:19:18 $
Summary:	Plugin which draws graphics
Summary(pl):	Plugin wizualizacji graficznej
Name:		xmms-visualization-jess
Version:	2.0.0
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://arquier.free.fr/jess-%{version}.tar.gz
# Source0-md5:	59f2586b960b74e4259f8ca77d416a43
Patch0:		%{name}-usleep.patch
URL:		http://arquier.free.fr/
BuildRequires:	SDL-devel >= 1.1.8
BuildRequires:	glib-devel >= 1.2.2
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.3
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin which draw lines, curves, and 3D grid moving in concordance
with the music.

%description -l pl
Wtyczka rysujca linie, krzywe oraz grafik 3D w koordynacji z muzyk.

%prep
%setup -q -n jess-%{version}
%patch0 -p1

%build
%{__make} \
	COMMON_CFLAGS="%{rpmcflags} -ffast-math `glib-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{xmms_visualization_plugindir}

./libtool install libjess.la \
	$RPM_BUILD_ROOT%{xmms_visualization_plugindir}/libjess.la
install .libs/libjess.so.*.*.* \
	$RPM_BUILD_ROOT%{xmms_visualization_plugindir}/libjess.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%attr(755,root,root) %{xmms_visualization_plugindir}/*.so
%{xmms_visualization_plugindir}/*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-visualization-jess.spec,v $
Revision 1.16  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.15  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.14  2003/05/28 13:03:10  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:28:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.11  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.10  2002/06/30 19:09:18  marcus
- use new %doc
- rel.3.

Revision 1.9  2002/05/01 20:46:49  filon
- gtk+ is really not needed (see makefiles)

Revision 1.8  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/13 09:37:25  qboosh
- cosmetics in summary/description

Revision 1.4  2001/12/12 15:11:55  alchemyx
- added patch for jess.c (builds OK now)
- release 2, STB

Revision 1.3  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.2  2001/03/24 22:51:34  kloczek
- adapterized.

Revision 1.1  2001/03/24 22:38:45  misiek
new plugin
